VERSION 8; ; 8409
* Dgm_Punkte_DeltaH_Men.CSX                            29.02.2012 
* -----------------------------------------------------------------------------
* @filedoc
* @file Dgm_Punkte_DeltaH_Men.CSX
* @brief Hhendifferenz markierte Punkte vs. DGM
* 
*  Mit diesem Skript starten Sie aus einem CAD-Men weitere Skripte, mit denen 
*  Sie die Hhendifferenz zwischen markierten Punkten und einem DGM berechnen.
*  Die Ergebnisse werden je nach Auswahl in eine CSV-Datei, als Text in eine 
*  Lageplanschicht, als Text in eine Zeichnung oder als Nebenattribute zu Punktsymbolen 
*  ausgegeben. 
*
* -----------------------------------------------------------------------------
* Copyright (C) IB&T
* 
* Gewhrleistung und Nutzung
* 
* Die Nutzung des Skriptes erfolgt stets auf eigene Gefahr. IB&T bernimmt keine
* Gewhr dafr, dass die Nutzung dieses Skriptes zu Ihrem gewnschten Ergebnis
* fhrt. Da CardScripte vorhandene Projektdaten durch Direktzugriff auf die
* jeweiligen Datenbanken auch ohne weitere Sicherheitsabfragen unbemerkt verndern
* oder lschen knnen, erfordert eine Nutzung entsprechende Kenntnisse und groe
* Sorgfalt. IB&T haftet nicht fr eventuell entstehende Datenverluste und
* Folgeschden, die durch die Nutzung von CardScripten entstehen.
*
* -----------------------------------------------------------------------------
* @author CK
* @endfiledoc
* -----------------------------------------------------------------------------
* @history
* -----------------------------------------------------------------------------

* Vereinbarungen ----------------------------------------------------------------------------------

BILDSCHIRM GRAFIK                | gibt die Meldungen im Arbeitsprotokoll aus

* Deklarationen -----------------------------------------------------------------------------------
SYMBOLE /CAD_MENU/ Menu
SYMBOLE /CAD_REQUEST/ Request
SYMBOLE /CAD_DATACONTEXT/ Anzeige1

SYMBOLE * !DtmName;!DtmBezeichnung
SYMBOLE * FuncId;NewId;AktId;MSchalter

MSchalter = 0
FuncID = 0
NewId = 0
AktID = 0

* CAD-Men anzeigen -------------------------------------------------------------------------------
Menu = System.CreateCadMenu()
Menu.SetHeadline("DeltaH Pkt - DGM")
Menu.AddBlankItem()
Menu.AddCaption("ausgeben in")
Menu.AddFunctionItem(100; "CSV-Datei"; "DeltaH in CSV-Datei ausgeben")
Menu.AddFunctionItem(200; "Nebenattribut (Symb)"; "DeltaH in Symbol-Nebenattribut speichern")
Menu.AddFunctionItem(300; "Text"; "DeltaH als Topografie-Text speichern")
Menu.AddFunctionItem(400; "Zeichnung"; "DeltaH als Text in Zeichnung ausgeben")
Menu.AddBlankItem()

* CAD-Men ausfhren -------------------------------------------------------------------------------
SOLANGE Test =Menu.CheckId(FuncId)
NewId = 0
  VERZWEIGE FuncId
    ZWEIG 0
      Request = Menu.CreateRequest()
      Request.SetPrompt("Funktion whlen")
      NewID = Request.DoDialog(AktId)            | liefert den ausgewhlten Meneintrag 
    ZWEIG 100                                    | Menwahl Datei ausgeben
      STARTE "Dgm_Punkte_DeltaH_CSV.CSX";1       | Skript zur Dateiausgabe starten  
    ZWEIG 200                                    | Menwahl Nebenattribute ausgeben
      STARTE "Dgm_Punkte_DeltaH_NAtt.CSX";1     | Skript zur Ausgabe in Nebenattribute starten
    ZWEIG 300                                    | Menwahl Text in Topografie ausgeben
       STARTE "Dgm_Punkte_DeltaH_Text.CSX";1     | Skript zur Ausgabe als Topografietext starten 
    ZWEIG 400                                    | Menwahl Text in Zeichnung ausgeben
      STARTE "Dgm_Punkte_DeltaH_Zeichnung.CSX";1 | Skript zur Ausgabe in Zeichnung starten
  ENDE VERZWEIGE
  FuncId = NewId
ENDE SOLANGE

* -----------------------------------------------------------------------------



